
# Sponsorship

Narrowlink is an open-source project developed and maintained by a community of dedicated contributors. We greatly appreciate any form of support to help sustain and improve the project.

## How to Contribute

There are various ways to contribute to Narrowlink and support its development:

1.  **Financial Contributions:** You can make financial contributions to the project on [GitHub Sponsors](https://github.com/sponsors/narrowlink) to help cover hosting costs, infrastructure maintenance, and further development. Your contributions will directly contribute to the project's sustainability and growth.
    
2.  **Code Contributions:** If you are a developer, you can actively contribute to the project's codebase by submitting pull requests, fixing bugs, and implementing new features. Visit our [Contribution Guidelines](CONTRIBUTING.md) for more information on how to get involved.
    
3.  **Bug Reports and Feedback:** Reporting bugs and providing feedback is valuable to us. It helps us identify issues, improve the project, and enhance the user experience.
    
4.  **Documentation and Translations:** You can help improve the project's documentation or translate it into different languages to make it more accessible to a broader audience.
    
5.  **Promotion and Outreach:** Spreading the word about Narrowlink and promoting its adoption among the community is another way to support the project.
    

## Open Source for All

We believe in the power of open-source software and its ability to empower individuals and organizations alike. As such, Narrowlink is and will always remain an open-source project, free for anyone to use and contribute to.

At Narrowlink, we are driven by ambitious goals to revolutionize remote access and secure communication. Your sponsorship can play a crucial role in helping us achieve these goals and innovate new features to enhance the capabilities of Narrowlink even further. With your support, we can continue to push the boundaries of what is possible with secure networking technologies.

## Business License

If your organization's policies or legal requirements are not compatible with the GNU Affero General Public License 3.0 (AGPL-3.0) used for the `gateway` component, we can provide a business license. Please contact us at [opensource@narrowlink.com](mailto:opensource@narrowlink.com) for more details.

## Our Commitment

We are committed to the transparent and responsible use of any contributions made to the project. Financial contributions will be used solely for project-related expenses and improvements. All contributors, whether individual or corporate, will be acknowledged and appreciated for their support.

Thank you for considering supporting Narrowlink. Your contributions are instrumental in making the project better for everyone. If you have any questions or need further information, please don't hesitate to contact us at [opensource@narrowlink.com](mailto:opensource@narrowlink.com).
